// Listen to item registry event
StartupEvents.registry('item', event => {
  // The texture for this item has to be placed in kubejs/assets/kubejs/textures/item/test_item.png
  // If you want a custom item model, you can create one in Blockbench and put it in kubejs/assets/kubejs/models/item/test_item.json
  
  event.create('rebuilding_bismuth').texture('fusiongems:item/rebuilding_bismuth').maxStackSize(1).glow(true)
  
  event.create('soul_crysocolla').texture('fusiongems:item/soul_crysocolla').maxStackSize(1).glow(true)

  event.create('infinity_stone').texture('fusiongems:item/infinity_stone').maxStackSize(1).glow(true)

  event.create('swift_sunstone').texture('fusiongems:item/swift_sunstone').maxStackSize(1).glow(true)
  
  event.create('boost_pearl').texture('fusiongems:item/boost_pearl').maxStackSize(1).glow(true)

  event.create('air_abalone').texture('fusiongems:item/air_abalone').maxStackSize(1).glow(true)

  event.create('binding_rhinestone').texture('fusiongems:item/binding_rhinestone').maxStackSize(1).glow(true)
  
  event.create('vanishing_rabbitstone').texture('fusiongems:item/vanishing_rabbitstone').maxStackSize(1).glow(true)
})